name: prokit
description: "A new Flutter project."
# The following line prevents the package from being accidentally published to
# pub.dev using `flutter pub publish`. This is preferred for private packages.
publish_to: 'none' # Remove this line if you wish to publish to pub.dev

# The following defines the version and build number for your application.
# A version number is three numbers separated by dots, like 1.2.43
# followed by an optional build number separated by a +.
# Both the version and the builder number may be overridden in flutter
# build by specifying --build-name and --build-number, respectively.
# In Android, build-name is used as versionName while build-number used as versionCode.
# Read more about Android versioning at https://developer.android.com/studio/publish/versioning
# In iOS, build-name is used as CFBundleShortVersionString while build-number is used as CFBundleVersion.
# Read more about iOS versioning at
# https://developer.apple.com/library/archive/documentation/General/Reference/InfoPlistKeyReference/Articles/CoreFoundationKeys.html
# In Windows, build-name is used as the major, minor, and patch parts
# of the product and file versions while build-number is used as the build suffix.
version: 1.0.0+1

environment:
  sdk: '>=3.2.1 <4.0.0'

# Dependencies specify other packages that your package needs in order to work.
# To automatically upgrade your package dependencies to the latest versions
# consider running `flutter pub upgrade --major-versions`. Alternatively,
# dependencies can be manually updated by changing the version numbers below to
# the latest version available on pub.dev. To see which dependencies have newer
# versions available, run `flutter pub outdated`.
dependencies:
  flutter:
    sdk: flutter


  # Base
  cupertino_icons: ^1.0.3
  nb_utils: ^6.1.0
  intl: ^0.18.1
  flutter_vector_icons: ^2.0.0
  google_fonts: ^6.1.0

  # FIREBASE PACKAGES
  firebase_core: ^2.24.2
  firebase_crashlytics: ^3.4.8

  # Common
  share: ^2.0.4
  url_launcher: ^6.0.3
  http: ^1.1.2
  html: ^0.15.0
  package_info: ^2.0.2

  # IMAGES
  cached_network_image: ^3.0.0
  image_picker: ^1.0.5
  file_picker: ^6.1.1

  # AUTHENTICATION
  google_sign_in: ^6.1.6
  local_auth: ^2.1.7

  # STATE MANAGEMENT
  mobx: ^2.0.1
  flutter_mobx: ^2.0.0

  # MAP
  google_maps_flutter: ^2.0.6
  geolocator: ^10.1.0
  geocoding: ^2.0.0

  # WEB TOOLS
  webview_flutter: ^4.4.2

  # ADS
  google_mobile_ads: ^4.0.0

  # UI
  simple_animations: ^5.0.2
  flutter_svg: ^2.0.9
  flutter_slidable: ^3.0.1
  flutter_staggered_grid_view: ^0.7.0
  flutter_staggered_animations: ^1.0.0
  flutter_colorpicker: ^1.0.3
  signature: ^5.4.1
  dots_indicator: ^3.0.0
  percent_indicator: ^4.2.3
  flutter_rating_bar: ^4.0.0
  carousel_slider: ^4.0.0-nullsafety.0
  animations: ^2.0.0
  lottie: ^2.7.0
  liquid_swipe: ^3.1.0
  clippy_flutter: ^2.0.0-nullsafety.1
  flutter_reaction_button: ^3.0.0+3
  showcaseview: ^2.0.3

  # VIDEOS
  video_player: ^2.1.4

  # NOTIFICATION
  flutter_local_notifications: ^16.2.0

  #Dimond kit
  sleek_circular_slider: ^2.0.0
  sliding_up_panel: ^2.0.0+1

  # Cloud Storage #
  expandable_bottom_sheet: ^1.0.0+2
  multi_image_picker: ^4.8.00

  #clustering_google_maps: ^0.1.2
  #image_picker_gallery_camera: 0.1.6

  flutter_localizations:
    sdk: flutter

  #Temporary  disable duo to late of null safety
  #charts_flutter: ^0.10.0
  #geocoder: 0.2.1
  #geohash: ^0.2.1
  #razorpay_flutter: ^1.2.5
  #snaplist: 0.1.8
  #lipsum: 1.0.1
  collection: ^1.15.0-nullsafety.4
  connectivity_for_web: ^0.4.0+1

dev_dependencies:
  flutter_test:
    sdk: flutter
  mobx_codegen: ^2.0.1+3
  build_runner: ^2.0.4
  #flutter packages pub run build_runner build --delete-conflicting-outputs

flutter:

  uses-material-design: true

  assets:
    - assets/
    - assets/medium/
    - images/smartDeck/images/
    - images/smartDeck/images/sdchats.png
    - images/smartDeck/images/sdupdate.png
    - images/Reaction/images/
    - images/Reaction/images/SocialMedia/
    - images/Tinder/images/
    - images/LikeButton/image/grey.jpg
    - assets/integrations/lang/
    - assets/shophop_data/
    - images/app/icons/
    - images/app/
    - images/app/ic_rate_app.png
    - images/theme1/
    - images/theme2/
    - images/theme3/
    - images/theme4/
    - images/theme5/
    - images/theme6/
    - images/theme7/
    - images/theme8/
    - images/theme9/
    - images/theme10/
    - images/theme11/
    - images/theme12/
    - images/theme13/
    - images/theme14/
    - images/theme12/mastercard.png
    - images/dashboard/
    - images/qibus/
    - images/learner/
    - images/social/
    - images/quiz/
    - images/food/
    - images/grocery/
    - images/integrations/icons/
    - images/integrations/img/
    - images/shophop/
    - images/shophop/radar.gif
    - images/shophop/img/products/
    - images/shophop/img/products/decor/
    - images/shophop/img/products/dress/
    - images/shophop/img/products/shoes/
    - images/shophop/img/products/banners/b1.jpg
    - images/shophop/img/products/banners/b2.jpg
    - images/shophop/img/products/banners/b3.jpg
    - images/shophop/img/products/banners/b4.jpg
    - images/shophop/img/products/banners/b5.jpg
    - images/shophop/img/products/banners/b6.jpg
    - images/theme12/
    - images/theme12/mastercard.png
    - images/orapay/
    - images/muvi/icons/
    - images/muvi/images/
    - images/widgets/materialWidgets/mwAppStructureWidgets/BottomNavigation/
    - images/widgets/materialWidgets/mwAppStructureWidgets/TabBar/
    - images/widgets/materialWidgets/mwInputSelectionWidgets/Checkbox/
    - images/widgets/materialWidgets/mwInputSelectionWidgets/switch/
    - images/widgets/materialWidgets/mwInformationDisplayWidgets/cards/
    - images/widgets/materialWidgets/mwInformationDisplayWidgets/gridview/
    - images/widgets/materialWidgets/mwInputSelectionWidgets/Checkbox/
    - images/widgets/materialWidgets/mwInputSelectionWidgets/switch/
    - images/widgets/materialWidgets/mwLayoutWidgtes/MWUserAccountDrawerHeaderWidget/
    - images/widgets/materialWidgets/mwDialogAlertPanelWidgets/
    - images/widgets/materialWidgets/mwLayoutWidgtes/MWListTile/
    - images/widgets/cupertinoWidgets/
    - images/widgets/materialWidgets/mwInformationDisplayWidgets/listView/
    - images/widgets/animationAndMotionWidgets/
    - images/widgets/paintingAndEffectWidgets/opacity/
    - images/widgets/interactionModelWidgets/
    - images/defaultTheme/
    - images/defaultTheme/category/
    - images/defaultTheme/banner/
    - images/hairSalon/
    - images/ProCricketUI/
    - images/banking/
    - images/mpmusic/
    - images/newsBlog/
    - images/medium/
    - images/medium/mtopics/
    - images/cloudStorage/
    - assets/medium/mediumhtmlpage.html

    - assets/integrations/map_point.json
    - assets/defaultTheme/
    - assets/cricket_data/
    - lang/en.json
    - lang/hi.json

  fonts:
    - family: Andina
      fonts:
        - asset: fonts/andina.ttf

    - family: Regular
      fonts:
        - asset: fonts/googlesansregular.ttf

    - family: Medium
      fonts:
        - asset: fonts/googlesansmedium.ttf

    - family: Semibold
      fonts:
        - asset: fonts/googlesansmedium.ttf

    - family: Bold
      fonts:
        - asset: fonts/googlesansebold.ttf

